

update doc_documento 
set fecha_fh=DATEADD (hour , (select top 1 DATEPART(hh,valor) as hours from gen_config where active=1 AND config='horaInicioProgramacion') , fecha_fh)
where Convert(char(10), (fecha_fh), 108)='00:00:00' and id>0

